# -*- encoding: utf-8 -*-
# stub: digest_extensions 0.1.0 ruby lib
# stub: ext/digest_extensions/extconf.rb

Gem::Specification.new do |s|
  s.name = "digest_extensions".freeze
  s.version = "0.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jarl Friis".freeze]
  s.date = "2012-08-05"
  s.description = "With marshalling of digest objects, it is possible to compute the digests over several executions by storing the marshalled object on file or database, this is handy for computing digests for large files that comes in parts.".freeze
  s.email = "jarl@softace.dk".freeze
  s.extensions = ["ext/digest_extensions/extconf.rb".freeze]
  s.extra_rdoc_files = ["LICENSE.txt".freeze, "README.rdoc".freeze]
  s.files = ["LICENSE.txt".freeze, "README.rdoc".freeze, "ext/digest_extensions/extconf.rb".freeze]
  s.homepage = "http://github.com/jarl-dk/digest_extensions".freeze
  s.licenses = ["GPL".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Extensions to the Digest module of the ruby standard library to support marshalling".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 3
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, ["~> 2.6.0"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<jeweler>.freeze, ["~> 1.6.4"])
    s.add_development_dependency(%q<rake-compiler>.freeze, ["~> 0.7.9"])
  else
    s.add_dependency(%q<rspec>.freeze, ["~> 2.6.0"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<jeweler>.freeze, ["~> 1.6.4"])
    s.add_dependency(%q<rake-compiler>.freeze, ["~> 0.7.9"])
  end
end
